Brand
Get the complete public brand profile for a website
Send one website URL. BerryCrawl returns the brand identity found on that site.
POST
/brandSend one website URL. BerryCrawl returns the brand identity found on that site.
Authorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
refresh?boolean
Ignore a cached profile and fetch the website again
Default
falsetimeout?number
Maximum time to spend building the profile, in milliseconds
Range
1000 <= value <= 120000Default
30000url*string
The public website whose brand profile should be extracted
Response Body
application/json
curl -X POST "https://example.com/brand" \ -H "Content-Type: application/json" \ -d '{ "url": "https://stripe.com" }'{ "data": { "brand": { "branding": { "colors": { "accent": "string", "background": "string", "link": "string", "primary": "string", "secondary": "string", "textPrimary": "string" }, "colorScheme": "light", "components": { "buttonPrimary": { "background": "string", "borderColor": "string", "borderRadius": "string", "shadow": "string", "textColor": "string" }, "buttonSecondary": { "background": "string", "borderColor": "string", "borderRadius": "string", "shadow": "string", "textColor": "string" }, "input": { "background": "string", "borderColor": "string", "borderRadius": "string", "shadow": "string", "textColor": "string" } }, "images": { "favicon": "http://example.com", "logo": "http://example.com", "ogImage": "http://example.com" }, "spacing": { "baseUnit": 0, "borderRadius": "string" }, "typography": { "fontFamilies": { "heading": "string", "primary": "string" }, "fontSizes": { "body": "string", "h1": "string", "h2": "string" }, "fontStacks": { "body": [ "string" ], "heading": [ "string" ], "paragraph": [ "string" ] } } }, "colors": [ { "hex": "string", "name": "string" } ], "description": "string", "domain": "string", "fonts": [ { "family": "string", "weights": [ "string" ] } ], "images": [ { "height": 0, "theme": "string", "type": "string", "url": "http://example.com", "width": 0 } ], "language": "string", "logos": [ { "height": 0, "theme": "string", "type": "string", "url": "http://example.com", "width": 0 } ], "name": "string", "socials": [ { "network": "string", "url": "http://example.com" } ], "tagline": "string" }, "meta": { "cached": true, "creditsUsed": 0, "fetchedAt": "2019-08-24T14:15:22Z", "sourceUrl": "http://example.com" } }, "success": true}Empty
Empty
Empty